Modify

Opened 4 years ago

Last modified 10 months ago

#11898 reopened defect

TL-WR1043ND Ver 1.8 Board Rev 1.1 WAN PORT Issue->

Reported by: mrzahz@… Owned by: developers
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description

I have done various flash with backfire 10.03.1 on this router without any problem. Except one unit purchase recently with same version but flash is succesfull, however the WAN port is always detects cable is disconnected. nothing can be done on this port at this moment. Tested with stock firmware confirms the WAN port is in working order.

switch RTL 8366RB/ CPU AR9132-bc1e

Attachments (0)

Change History (46)

comment:1 Changed 4 years ago by Crazy

Same hw version and switch, no problem for me...

comment:2 Changed 4 years ago by corny <jk+openwrt@…>

I experience the same problem with hardware revision 1.8

comment:3 Changed 4 years ago by Javache

I can confirm this issue. The WAN port works perfectly using the stock firmware but fails to come up in OpenWRT. The link is marked as down in the switch config.

comment:4 Changed 4 years ago by Javache

Ok, according to some russian forum it seems newer bootloaders actually disables the WAN-port before booting (perhaps related to #6819?)

Installing an old firmware like http://rghost.net/36040799 on the device first unlocks the bootloader, after which the WAN-port will work in OpenWRT \o/

comment:5 Changed 4 years ago by corny <jk+openwrt@…>

Thanks, that solved the problem. My steps with a running OpenWRT:

  1. flashed the device with a stripped original image (dd if=orig.bin of=tplink.bin skip=257 bs=512)
  2. flashed the device again with the unstripped original image
  3. flashed the device with a openwrt-factory image

Now my WAN port is connected.

comment:6 Changed 4 years ago by corny <jk+openwrt@…>

Thanks, that solved the problem. My steps with a running OpenWRT:

  1. flashed the device with a stripped original image (dd if=orig.bin of=tplink.bin skip=257 bs=512) from http://rghost.net/36040799
  2. flashed the device again with the unstripped original image
  3. flashed the device with a openwrt-factory image

Now my WAN port is connected.

comment:7 Changed 4 years ago by anonymous

does anybody know what needs to be set in the openwrt wan to work with the new bootloader?

comment:8 Changed 4 years ago by anonymous

Thanks for the tips. It works. From a new device, just downgrade the factory firwware using the old image from the above link and the then flash OpenWRT from web interface. Done.

comment:9 Changed 4 years ago by juhosg

  • Priority changed from normal to response-needed
  • Version changed from 10.03.1 to Trunk

Please try r32496. It should be working with the new bootloader.

comment:10 Changed 4 years ago by anonymous

I guess you mean r32946 ?

comment:11 Changed 4 years ago by Thorben Went <openwrt@…>

Got today this router. Used SVN for building the image.
For me (Backfire (10.03.x Snapshot, r33081)) r32946 doesn't solve this problem => WAN not working

comment:12 Changed 4 years ago by anonymous

@Thorben

That patch went into Trunk (aka Attitude Adjustment), not Backfire; therefore you will need to test with a recent Trunk build.

comment:13 Changed 4 years ago by Benjamin Eikel <openwrt@…>

I was able to flash my TL-WR1043ND v1.8 with the snapshot file dated 12-Aug-2012 07:17. Before, the router had the original TP-Link firmware version V1_120405 (published date 4/5/2012) installed. The WAN works with PPPoE for me and I was able to configure it using the LuCI without doing anything special.

comment:14 Changed 4 years ago by nolex90@…

How can I flash the german firmware? Now, It can't reach the internet, and I can't configure the router to reach the internet from the LAN ports. How can I do it?

comment:15 Changed 4 years ago by anonymous

I just bought the router yesterday, it is version v1.8, and I flashed it with stable 10.03.1. Today I found this post, so I didnt know about this bug before I flashed. But my WAN port works fine (PPPoE). So my question is now, why did it work for me, and should I be worried about anything?

comment:16 Changed 4 years ago by hoja@…

Same thing here: We have TP-Link wr1043nd v1.8 Router, flashed with stable 10.03.1.
u-boot version 1.1.4 from February 2. 2012.
=> wan port disabled on bootup

It still does work with the uboot version from last year april (would have to look it up on some router). Just the new one breaks.

It does work with bleeding edge (Attitude Adjustments).

Another temporary fix would be binding one lan port on wan, and using this lan port as wan. But that's nasty...really nasty.

Any chance getting this patch into backfire?

comment:17 Changed 4 years ago by Jan Luehr <yanosz@…>

Issue confirmed:
Machine: TP Link TP-1043ND v1.8 (german)
Backfire: Wan Port down
Trunk (todays snapshot): Wan Port working.

Is there any chance merge the fix into backfire? We're running a Freifunk-network using these machines on backfire, only. Running backfire on current 1043ND-models is essential.

Thx in adv.
yanosz

comment:18 Changed 4 years ago by engnutt@…

I had the same problem of the WAN port not working, but unexpectedly found it working after doing a failsafe reset (http://wiki.openwrt.org/doc/howto/generic.failsafe)

The problem I'm trying to solve is that I seem to not be able to 'upload'. Surfing the web works ok, but when I try to upload a file to a website or use speedtest.net, the upload part hangs. The problem was the same with the stock firmware, so maybe mine is a lemon.

comment:19 Changed 4 years ago by babca

Trunk build is IMHO useless since it doesn't include Luci, how can I install Luci and other missing packages with internet not working?

I can't recognize if this issue affects my v1.8 router too. In Interfaces tab, WAN have red background, is that ok? I'm trying to connect my OpenWRT (secondary) router to my primary router with orig. FW, it seems obtaining IP from it (DHCP), but there's no internet connection on clients connected to OpenWRT router. With orig. FW on it it works out of the box. Am I missing something or it is simply this bootloader thing?

Thank you all.

comment:20 Changed 4 years ago by wiktor.kusmierczyk@…

My device worked outofthe box just fine for few weeks, then was a storm which fried adsl modem, connected to wan port - but the router worked fine... (i didn't check wan port :( ) then modem was replaced by adsl wifi N router from ISP and tl-wr1043nd was "useless", so free to play with OpenWRT :)
So finally flashed and... WAN not working and i'm not sure is it fried or just disabled... I tried every solution posted:

  1. triple flashing - no effect
  2. triple flashing again - with check of WAN port every time - no effect
  3. flashing with Trunk build r33288 - no effect
  4. starting in filsafe mode and using firstboot - no effect
  5. playing "really nasty" with ports (only with switching them between vlans) - no effect, I mean there was physical connection (led indicated) but still couldn't receive IP from the other router so I guess port was still in the same vlan...

but I'm noob so I'd be happy to use some guidelines how to do it properly, because this seems the only solution...

of course I played a lot with settings and still I'm not sure how to determine is this port fried or not - any suggestions?

@yanosz - please post a link to that trunk or maybe some comment to my steps? maybe i'm missing something very important?
@babca - use nc or scp to transfer gargoyle or original file and flash with mtd
@engnutt - just guessing, maybe jumbo frames setting network.@switch[0].max_length=3 may change upload issue? I used Obsy's image and had same problem with transferring bin file (via nc) to router and this helped

thanks

comment:21 Changed 4 years ago by wiktor.kusmierczyk@…

I did some more flashing (third "Triple flash") and tried "really nasty" vlan setting once again.
Miraculously it WORKED :) previously it didn't work - I don't know why only difference is: at first time port 4, this time port 1 was WAN.

In my case it was fried port, by at first time I used OpenWRT I had strange dhcp client behaviour when i tried to raise WAN interface - this problem disappeared when I made first "triple flash" ;) - if it's helpful for Somebody :)

thanks to all
greetz

comment:22 Changed 4 years ago by assid2@…

Tried with r33325 and r33362
I have : U-Boot 1.1.4 (Mar 31 2012 - 10:40:21) on one of the routers
So far no go. Hopefully its fixed soon

comment:23 Changed 4 years ago by assid2@…

okay tested (briefly ) r33288 and it seems to work. later issues have a problem, and i think the earlier one too..

comment:24 Changed 4 years ago by istenson

+1 vote to merge into backfire. It'd be a massive help if you could.

comment:25 Changed 4 years ago by jow

Backfire is EOL and merging this would imply extensive changes.
Those who need the fix can use 12.09 beta.

comment:26 Changed 4 years ago by anonymous

@jow:
backfire is eol and attitude adjustment has not been released, yet. That's a sad situation :-(
IMHO there ought to be a released and supported all the time.

@wiktor: I've no clue on what went wrong. Sorry.

Greetz, yanosz

comment:27 Changed 4 years ago by babca

Thank you for suggestions! In the end, one of the mentioned solutions worked for me. When flashing over and over again I forgot to change subnet setting to 192.168.2.x, so I don't know when the WAN port starts to work.

PS: for new OpenWRT users: in Interfaces tab, there is LAN interface highlighted in green and WAN highlighted in red. The red color doesn't mean "something goes wrong", it's just a highlight color.

comment:28 Changed 4 years ago by Attila Lendvai <attila.lendvai@…>

argh, we are in an awful situation: we need to ship about 150 1043's, and we built an extroot based on r32741, which doesn't work on the new hw revision (v1.0 RU. goddamn TP-Link versioning scheme! some are already being delivered with a broken WAN port...)

i tried to backport the required changes to r32741 by:

cd target/linux/ar71xxx/
svn update --revision 32946 .
cd -
make -j8

but when i have flashed the resulting image, it bricked the router. the leds suggest it boots properly, even enters recovery mode using the button, but none of the ports come up... :| (note that i haven't done make clean, but i guess that's not the problem)

i guess that brick needs a serial connection to unbrick, but does anyone have any suggestion on how to backport the required changes without catching up with the entire HEAD? then we need to produce the new extroot, test everything, etc...

suggestions are highly appreciated, either on my email or here if it's not considered offtopic.

comment:29 Changed 4 years ago by Attila Lendvai <attila.lendvai@…>

with the invaluable help from jow at #openwrt, i fixed my headache by:

svn merge --changeset 32942
svn merge --changeset 32943
svn merge --changeset 32944
make target/linux/clean
make

IOW, merging r32942, r32943, and r32944 into my revision (r32741).

i haven't tested it extensively, but now the led lights up when i plug in the cable. yay!

comment:30 Changed 4 years ago by Attila Lendvai <attila.lendvai@…>

with juhosg's help, here is the updated instructions to backport this patch to a reasonably recent trunk (r32741 in our case):

svn merge --revision 32941:32946 .
make target/linux/clean
make

seems to work both on a v1.8 which didn't have the WAN issue (contrary to the wiki?), and on a (RU)v1.0 which did have the WAN issue.

comment:31 Changed 4 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

comment:32 Changed 4 years ago by anonymous

I was wondering how I can fix bricked firmware
(LEDs blinking like a Christmas tree:

  • Power LED - lights
  • First: sys, WLAN, USB, QSS - flashes
  • As follows: LAN 1 - 4, wan - flashes
  • Then the cycle repeats)

comment:33 Changed 4 years ago by anonymous

Hello

Has anyone else noticed a problem functioning router wr1043nd v1.8 for pre-OpenWRT Backfire 10.03.X?
Previously I was using ddwrt, later I upgraded back to the original firmware. Until then, everything is ok, when I upgraded OpenWRT Backfire 10.03.1 I had problems with inactivity wan port. After switching to ddwrt I found that even there wan port does not work. (work only on the original firmware). After the upgrade attitude adjustment 12.9-rc1, the wan port into operation when I tried to install the original firmware but I brickit. After a short time I'm using a RS232 port successfully debrick router. I found that the router does not work the same as before in the ddwrt still not working WAN port, problems with Wifi as you have mentioned are present. What I wonder is functioning LEDs startup (boot) is not the same as compared to the factory settings (original firmware).
Does anyone know how to restore a record in the rom chip??

comment:34 Changed 4 years ago by svend

Could you tell me if this workaround is still needed? I'm a bit confused seeing this ticket is closed and a fix is mentioned to be in the repo's since 5 months, yet the wiki page still tells me to install the German firmware first to keep the WAN-port enabled.

I bought 2 rev1.10 devices yesterday and would like to flash them to OpenWRT. Thank you!

comment:35 Changed 4 years ago by anonymous

If you don't need Backfire to badly, i would switch to attitude adjustment. There is a stable release since December i think. It works great and we have several deployed. :)

comment:36 follow-up: Changed 3 years ago by anonymous

Could you tell me if this workaround is still needed?

I've just installed Attitude Adjustment 12.09-rc1 on a brand new TL-WR1043ND v1.10. WAN port works like a charm, no workaround was needed!

Wiki should be changed, it could be dangerous to install an outdated vendor firmware on newer hardware revisions.

comment:37 in reply to: ↑ 36 ; follow-up: Changed 3 years ago by hd7544

I spent several hours getting 12.09 installed on my V 1.10 router. I performed all the downgrades recommended, verified the boootloader version, but could not get a WAN connection. I finally noticed that my LAN and WAN were being assigned the same MAC address. I changed the MAC address of the WAN interface to what it should be (last digit +1) and all was well.

I then restored the bootloader to the latest version, U-Boot 1.1.4 (Apr 28 2013 - 16:01:02), and confirmed it via the code below. Once again after installing the latest 12.09 factory-squashfs.bin, my I had to WAN connection and both LAN and WAN MAC addresses were the same. Changing the WAN interface MAC address to what it should be solved my problem.

As far as I can tell, the complex step below are apparently not necessary. The latest bootloaoder may indeed disable the WAN during boot, which is great as it doesn't expose my devices to the WAN interface during that brief window, but it's not staying locked. It seems to be more of a simple MAC address issue. Another note: Before changing the MAC address to what it's assigned TP-Link address, I cloned my laptops MAC address, which gave the router connectivity on the WAN port, but my laptop could not get any web traffic. Other devices connected could, but not my laptop.

Replying to anonymous:

Could you tell me if this workaround is still needed?

I've just installed Attitude Adjustment 12.09-rc1 on a brand new TL-WR1043ND v1.10. WAN port works like a charm, no workaround was needed!

Wiki should be changed, it could be dangerous to install an outdated vendor firmware on newer hardware revisions.

comment:38 in reply to: ↑ 37 Changed 3 years ago by G.

I can confirm this. I too performed the required downgrades only to find the MAC addresses of the LAN and WAN interfaces the same. After changing the WAN MAC, everything works.

I then re-flashed the original firmware using mtd and the dd instructions on the router page. From there I re-flashed the original firmware AGAIN with the bootloader included. I was now on version 3.13.13 (04-28-2013).

Then I flashed the latest OpenWRT again and checked via SSH to find I was on U-Boot 1.1.4 (Apr 28 2013 - 16:01:02). The WAN interface did not work and again had the same MAC as the LAN interface. When I changed the MAC on the WAN interface and connected it - everything worked.

It seems this problem is not related to the boot loader, or at least not anymore.

Replying to hd7544:

I spent several hours getting 12.09 installed on my V 1.10 router. I performed all the downgrades recommended, verified the boootloader version, but could not get a WAN connection. I finally noticed that my LAN and WAN were being assigned the same MAC address. I changed the MAC address of the WAN interface to what it should be (last digit +1) and all was well.

I then restored the bootloader to the latest version, U-Boot 1.1.4 (Apr 28 2013 - 16:01:02), and confirmed it via the code below. Once again after installing the latest 12.09 factory-squashfs.bin, my I had to WAN connection and both LAN and WAN MAC addresses were the same. Changing the WAN interface MAC address to what it should be solved my problem.

As far as I can tell, the complex step below are apparently not necessary. The latest bootloaoder may indeed disable the WAN during boot, which is great as it doesn't expose my devices to the WAN interface during that brief window, but it's not staying locked. It seems to be more of a simple MAC address issue. Another note: Before changing the MAC address to what it's assigned TP-Link address, I cloned my laptops MAC address, which gave the router connectivity on the WAN port, but my laptop could not get any web traffic. Other devices connected could, but not my laptop.

comment:39 Changed 3 years ago by stfuchs

I can confirm this as well. On my V1.9 router I just did a stock firmware upgrade to wr1043nv1_en_3_13_13_up_boot(130325).bin

Then after installing openwrt-ar71xx-generic-tl-wr1043nd-v1-squashfs-factory.bin
I only had to increment the WAN MAC address manually. Everything works perfectly now.

comment:40 Changed 3 years ago by Lorenzo

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hello everyone, I have the same problem after installing the firmware a few days after the wan port no longer worked. After that also the GUI, I now find myself having to configure everything from telnet but there's no way to have the connection so I do not know how to go back to the old firmware. now is r37154

comment:41 Changed 3 years ago by Attila Lendvai <attila.lendvai@…>

Lorenzo,

please provide more details! especially the HW version of your router, and when and which country you have bought it (different markets sometimes have different versioning schemes).

comment:42 Changed 3 years ago by anonymous

yes, i'm sorry. so the hardware is v1.8 of tl wr1043nd. router is working fine when is set up as a router only but the internet connection doesn't work. I'm reading some guide and i seen that the switch configuration in /proc/switch is not present. also i'm trying to set the network and firewall but nothing seems to work

comment:43 Changed 3 years ago by anonymous

i'm in italy

comment:44 Changed 3 years ago by anonymous

maybe if someone has the chance to help via chat??

comment:45 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:46 Changed 10 months ago by anonymous

I bought a tp link TL -WR1043ND this weekand tried the quick setup.
i always get the same problem:

  • checking network status: results in " the ethernetcable of the router's WAN port is detected unplugged.Please check your network connectivity and retry"

retrying always gives this error, also after rebooting
Nothing is wrong with the ethernetcable, becz with my old router modem everything works fine.
Anyone knows how i can solve this problem? in words that also, i can understand?

Add Comment

Modify Ticket

Action
as reopened .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.